summaryrefslogtreecommitdiff
path: root/tests/openpgp/signencrypt.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/signencrypt.test')
-rwxr-xr-xtests/openpgp/signencrypt.test34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/openpgp/signencrypt.test b/tests/openpgp/signencrypt.test
new file mode 100755
index 0000000..8ccbaf7
--- /dev/null
+++ b/tests/openpgp/signencrypt.test
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Copyright 1998,1999,2000,2001,2002,2003,2004,2005,2006,
+# 2007 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+
+info "Checking signing and encryption"
+for i in $plain_files $data_files ; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 --always-trust \
+ -se -o x --yes -r "$usrname2" $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+
+i=$srcdir/bug537-test.data.asc
+info "Checking bug 537: MDC problem with old style compressed packets."
+echo "$usrpass1" | $GPG --passphrase-fd 0 -o y --yes $i
+tmp=`$GPG --with-colons --print-md sha1 <y`
+if [ "$tmp" != ":2:4336AE2A528FAE091E73E59E325B588FEE795F9B:" ]; then
+ error "$i: mismatch (bug 537)"
+fi
+
+
+
+
+
+